Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.convert.seamtext
Class DefaultSeamTextConverter

    java.lang.Object
      org.richfaces.convert.seamtext.DefaultSeamTextConverter

All Implemented Interfaces:
  javax.faces.convert.Converter, SeamTextConverter

    public final class DefaultSeamTextConverter

extends java.lang.Object
implements SeamTextConverter

Seam Text Converter class. Provides converting html to seam text and vice versa.

Author:
  Alexandr Levkovsky

Field Summary
`static java.lang.String` | `CONVERTER_ID` The converter id for this converter.

Method Summary
`java.lang.Object` | `getAsObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.String value)`
`java.lang.String` | `getAsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object value)`
`static SeamTextConverter` | `getInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONVERTER_ID

    public static final java.lang.String CONVERTER_ID

  The converter id for this converter.

Method Detail

### getInstance

    public static SeamTextConverter getInstance()

### getAsObject

    public java.lang.Object getAsObject(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component,
                                        java.lang.String value)

  Specified by:
    `getAsObject` in interface `javax.faces.convert.Converter`

### getAsString

    public java.lang.String getAsString(javax.faces.context.FacesContext context,
                                        javax.faces.component.UIComponent component,
                                        java.lang.Object value)

  Specified by:
    `getAsString` in interface `javax.faces.convert.Converter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.